/*
 * bind_wrapper.c - wrapper to fix problems with parameter marshaling
 * incompatibilities between gcc (used to compile the x-kernel) and
 * icc (which was used for the raw_hippi library). Basically this
 * wrapper replaces char and short params by integers. It must be compiled
 * with icc and linked with all code wich uses the raw_hippi library.
 */

extern int hippi_bind( int, unsigned char, short);

int
hippi_bind_wrapper(int ihandle, unsigned int ulp, int port)
{
    return hippi_bind( ihandle, (unsigned char)ulp, (short)port );
}
